% ADD2PATH       Simple script that will add all needed directories to
% MATLAB's path to enable execution of all AMP-MMV functions and test
% scripts.
%
% To use, execute this script from the directory in which this script is
% located, as you would any other MATLAB script.
%

%
% Coded by: Justin Ziniel, The Ohio State Univ.
% E-mail: ziniel.1@osu.edu
% Last change: 12/29/11
% Change summary: 
%		- Created from add2path v1.0 (12/29/11; JAZ)
% Version 1.1
%


%% First make sure this script is in the current working directory

contents = what(pwd);   % Get m-files in current directory

% Compare add2path.m string against all m-files in current directory.  If
% not found, print an error message
if ~sum(strcmp('add2path.m', contents.m))
    error(['add2path.m: In order for add2path.m to function properly,' ...
        ' it must be executed from the working (current) directory.']);
end


%% Now recursively add all sub-directories of the current directory to
%% MATLAB's path

addpath(path, genpath(pwd));